Expunges a support event subscription.

EXAMPLES:

cURL:

    supportEventSubscription="organizations/123456789/supportEventSubscriptions/abcdef123456"
    curl \
      --request POST \
      --header "Authorization: Bearer $(gcloud auth print-access-token)" \
      "https://cloudsupport.googleapis.com/v2beta/$supportEventSubscription:expunge"

Python:

    import googleapiclient.discovery

    apiVersion = "v2beta"
    supportApiService = googleapiclient.discovery.build(
        serviceName="cloudsupport",
        version=apiVersion,
        discoveryServiceUrl=f"https://cloudsupport.googleapis.com/$discovery/rest?version={apiVersion}",
    )

    request = supportApiService.supportEventSubscriptions().expunge(
        name="organizations/123456789/supportEventSubscriptions/abcdef123456"
    )
    print(request.execute())

### HTTP request

`POST https://cloudsupport.googleapis.com/v2beta/{name=organizations/*/supportEventSubscriptions/*}:expunge`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the support event subscription to expunge. Format: organizations/{organizationId}/supportEventSubscriptions/{subscription_id} |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloudsupport`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).